# Seja bem vindo à Highlight.JS to React.JS ! ( unstable )

PT-BR.: Primeiramente Gostaria de agradecer por cogitar utilizar essa ferramenta. Ela, apesar de estar sendo desenvolvida a pouco tempo, é particularmente funcional e estável. Claro, ainda existem diversas funcionalidades nais quais eu ainda preciso implementar para melhorar conforto e segurança, mas pelo que já existe já se torna muito menos vulnerável que a injeção de código através do innerHTML ou dangerouslySetInnerHTML.

Um tentativa de reduzir ataques de [**XSS**](https://owasp.org/www-community/attacks/xss/)

>Qualquer dúvida, sugestão ou erro encontrador, por favor, entrar em contato para conseguir agilizar o quanto antes.


## Como usar

A ultilização é muito simples, e diversas explicações de uso podem ser entradas diretamente do código fonte.

Basta que você digite passe para o componente:
```jsx
import { HljsToReact } from "hljstoreact"
import 'hljstoreact/style'

//Brute Mode
 <HljsToReact convert={code:"export function \n fn(){}", lang:"typescript"} />

//Recommend Mode
const input = {
	code:`
export function
fn() {
	return true
}
	`, 
	lang: "typescript"
}
---
<HljsToReact> convert={myCode()} />
|
> return /* JSX.Element[] */(
	<pre className="...">
		<code>
			<span className="...">...</span>
			<span className="...">...</span>
			...
		<code>
	</pre>
) 
```
>O **HLJS** lib irá devolver um codígo HTML e que será compilado para **React**.

---
**Representação Simples do Funcionamento (Resumido)
```mermaid
sequenceDiagram
Your Component->> HljsToReact: $code: "int main(){}"
HljsToReact->> HLJS lib: $code
HLJS lib->> HljsToReact: $fmt_code "...<span class="txt">...</span>..."
HljsToReact->> Your Component: JSX.Element[]
```

